Retrieves all the company contact
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "aed4d4ea-fcf4-4e3d-97ef-4a5bc4ce31a7",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "9d7923a7-601a-4712-b8d1-4903c134c295",
"company_code": "sample string 5",
"company": {
"id": "9d49c580-eb7d-4de9-a601-5023bca627d2",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-30T00:29:38.170458+00:00",
"sales_territory_id": "c4863e32-a9f1-42f7-89c7-28dd3c4e84e6",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "1f4d20bd-f644-4af7-938a-2c11b4c37771",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "0ebbf2fd-7564-4608-91d8-b87c89f9f4ff",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "4b10dcaa-b1bf-49cd-b2ae-41ba0ee593b2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d0396f05-7e74-4a8a-a9f1-676584fa6cef",
"db_currency_id": "8d335c9f-abba-4c25-8759-4d5d580773de",
"db_language_id": "d8a836a0-2298-4b1b-b6c0-cf88a84a1cdb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T00:29:38.170458+00:00"
},
"modified_dateutc": "2026-10-30T00:29:38.170458+00:00"
},
"marketing_segment_id": "2fc5f702-6c45-43cf-b774-bf1c0a917dc4",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "444b9202-bb7e-4b45-aeae-9d2f730ba10a",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "ffeb1d8a-92c3-4a9c-8f92-63592e0d9215",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "82f64508-6c20-4c30-9ad7-b5712ffd7604",
"db_country_code": "sample string 28",
"feelist_id": "151082dd-49c9-4d37-b062-ba939417c4ac",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "238b2997-6409-48b9-9821-e76bd6f0b3e8",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "d246e9ca-ca90-4082-84cb-11ae5205423e",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-30T00:29:38.170458+00:00",
"db_currency_id": "436afd76-d64c-4745-9b66-9468bc80c42a",
"db_currency_code": "sample string 10"
},
"company_type_id": "a100d947-c026-4940-b7d2-20faf129146a",
"company_type_name": "sample string 32",
"company_type": {
"id": "86b4ba65-7e21-403e-977e-369135cd506b",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "107c86db-5eb5-482d-859c-a36bd65ed2a5",
"sales_organization_code": "sample string 5"
},
"db_language_id": "df3709e3-4580-40a2-9555-9d780e3236c8",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "95883cfd-c4f6-4a9e-85e0-78676051b735",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "d6b9b442-e08b-419d-bb93-e1e862dc4acb",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "91fd43d1-8435-4b2a-8a86-4db2f9ff50e7",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-30T00:29:38.170458+00:00"
},
"company_sector_id": "01aeca82-6022-4619-b785-62a0f6bdba72",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "d0f56643-1e2e-4ed1-b818-b72b833e9138",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "3bb04411-2176-4ea2-b4ab-e1facb0b68bb",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "f289b84a-4a11-4156-8234-1e01e0a52b56",
"account_manager_user_code": "sample string 56",
"company_status_id": "48de9aad-fe78-4ddf-b9d9-fdd9b99fd869",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-30T00:29:38.170458+00:00",
"id2": 60
},
"db_language_id": "4228f8bc-9f04-45eb-b7f6-b57f57afabcd",
"db_language_code": "sample string 7",
"db_title_id": "e92f7f37-a88c-43de-bd37-f122d61997be",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-30T00:29:38.170458+00:00",
"create_date": "2026-10-30T00:29:38.170458+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-30T00:29:38.170458+00:00"
}